/***
 *
 * the detector type table.
 * Just an array and a lookup function
 *
 * Seems a good place to put in the detector names too. 25/6/97 mm
 *
 ***/

#ifndef _DTTABLE
#define _DTTABLE

typedef enum {
	SILICON=1,
	OUTER_TRACKER,
	MSGC,
	PADS,
	ECAL=7,
	MUON_TRACKER,
	MUON_PADS,
	LEVEL1=-1,
	ERROR=0}	DTTYPE;

int DTLookup( char *);


#ifndef _DTTABLE_DOT_C
extern const char 
nSI01[4], nSI02[4], nSI03[4], nSI04[4], nSI05[4],
nSI06[4], nSI07[4], nSI08[4], nSI09[4], nSI10[4],
nMC01[4], nMC02[4], nMC03[4], nMC04[4], nMC05[4],
nMC06[4], nMC07[4], nMC08[4], nMC09[4],
nMS01[4], nMS03[4], nMS05[4], nMS07[4], nMS09[4], nMS10[4],
nMS11[4], nMS12[4], nMS13[4], nMS14[4], nMS15[4],
nPTL1[4], nPTL2[4], nPTL3[4],
nPC01[4], nPC02[4], nPC03[4], nPC04[4], nTC01[4], nTC02[4],
nDETR[4], nCALW[4], nMUD1[4], nMUD2[4], nMUD3[4], nMUD4[4],
nMXD1[4], nMXD2[4], nMXD3[4], nMXD4[4];
#endif

#endif
