#ifndef _L2FORMAT
#define _L2FORMAT

typedef struct {
int ntargs;
int nsuplrs;
int nplanes;
} L2FORMGEOHEAD;

typedef struct {
int nbuffs;
} L2FORMMAPHEAD;

int l2GeoFormat(int ** l2geo,int * length);
int l2MapFormat(int ** l2map,int * length);
int formatter_l2_init(void);
void L2FormArte();

#define DB_START_RUN 17397

#define DI_LEPTON 1
#define SINGLE_LEPTON 3
#define DI_LEPTON_FLT 4
#define SINGLE_LEPTON_FLT 5
#define HARD_PHOTON 6
#define DI_LEPTON_L2SILI 7

#define DEFAULT_SYM 3
#define L2SILI_SYM 2

#define TT_TABLE_NAME "L2TRIG_0"
#define TS_TABLE_NAME "L2SYMBOL_0"

struct Trig_Sym_major_minor {
 int tt_major, tt_minor, st_major, st_minor;
};
typedef struct Trig_Sym_major_minor Trig_Sym_major_minor;
Trig_Sym_major_minor get_major_minor(int);

#endif

