#!/bin/sh

REV=Rev0`cat REVISION`

#SLT libraries
export TOPTARGET=$HBROOT/SLT/$REV
export TARGETDIR=${TOPTARGET}/${HBBINTYPE}
export TARGETINC=${TOPTARGET}/include
export TARGETBIN=${TARGETDIR}/bin

#Need ONLINE includes
export ONLDIR=${HBROOT}/ONLINE/Rev0618
export ONLINC=${ONLDIR}/include

#Need DATABASE includes
export DBTOP=${HBROOT}/DATABASE/hblipcs3.16
export DBINC=${DBTOP}/include

export SCRDIR=`pwd`/objects

echo "Creating SLT directories"
mkdir -p $SCRDIR
mkdir -p $TARGETDIR
mkdir -p $TARGETINC
mkdir -p $TARGETBIN
echo "Compiling gmp library"
cd gmp
gmake
cd ..
echo "Compiling sltinfo library"
cd sltinfo
gmake
cd ..
echo "Copying SLTsim executable"
cp exe/* $TARGETBIN
echo "Done"
